Skip to main content

Stores multiple X

POST 

/qsystem/rest/config/truststore/certificates

Stores multiple X.509 certificates in the default truststore. The Subject DN will be used as alias in the truststore.

Accepts multiple DER-encoded (binary or printable) certificates in file formatted as ".cer", ".crt", ".pem" and ".der". Multiple certificates can be contained in one file and multiple files can be uploaded at the same time. Refer to java.security.cert.CertificateFactory#generateCertificate(InputStream) and java.security.cert.CertificateFactory#generateCertificates(InputStream) for valid file content.

Example usage:

curl -b {cookies_file} -F 'xsrfToken={token}' -F 'certificate=@examplecertfile1.cer' -F 'certificate=@examplecertfile2.cer' -i -X POST http://orchestra-host:orchestra-port/qsystem/rest/config/truststore/certificates/

{cookies_file} is a file containing cookies retrieved from a login request {token} is a generated security token, see SecurityService#getXsrfToken Login cookie retrieval example: curl -i -c {cookies_file} -X POST http://ip:port/login.jsp -d "username={username}&password={password}"

Request​

Responses​

A Json list of CertificateProperties object